package com.atlassian.bitbucket.mesh.git.binary;

import javax.annotation.Nonnull;

import static java.util.Objects.requireNonNull;

public abstract class AbstractGitBinary implements GitBinary {

    private final String path;

    protected AbstractGitBinary(@Nonnull String path) {
        this.path = requireNonNull(path, "path");
    }

    @Nonnull
    @Override
    public String getPath() {
        return path;
    }
}
